IPROP-LOG(8)

NAME
iprop-log - maintain the iprop log file

SYNOPSIS
iprop-log [- -version] [-h | - -help] command

iprop-log truncate [-c file - -config-file=file] [-r string - -realm=string] [-h | - -help]

iprop-log dump [-c file - -config-file=file] [-r string - -realm=string] [-h | - -help]

iprop-log replay [- -start-version=version-number] [- -end-version=version-number] [-c file - -config-file=file] [-r string - -realm=string] [-h | - -help]

DESCRIPTION
Supported options:

- -version

-h, - -help

command can be one of the following:

truncate

    -c file, - -config-file=file
        configuration file

    -r string, - -realm=string
        realm

    Truncates the log. Sets the new logs version number for the to the last entry of the old log. If the log is truncted by emptying the file, the log will start over at the first version (0).

dump

    -c file, - -config-file=file
        configuration file

        -r string, - -realm=string realm

    Print out all entries in the log to standard output.

replay

    - -start-version=version-number
        start replay with this version

        - -end-version=version-number end replay with this version

    -c file, - -config-file=file
        configuration file

    -r string, - -realm=string
        realm

    Replay the changes from specified entries (or all if none is specified) in the transaction log to the database.

last-version

    -c file, - -config-file=file
        configuration file

    -r string, - -realm=string
        realm

    prints the version of the last log entry.

SEE ALSO
iprop(8)